mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.ConstructorInfo System.Runtime.InteropServices._ConstructorBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ConstructorBuilder)) System.Runtime.InteropServices.ComVisible(true)

is used to fully describe a constructor in Microsoft intermediate language (MSIL), including the name, attributes, signature, and constructor body. It is used in conjunction with the class to create classes at run time. Call to get an instance of .

If you do not define a constructor for your dynamic type, a default constructor is provided automatically, and it calls the default constructor of the base class.

If you use to define a constructor for your dynamic type, a default constructor is not provided. You have the following options for providing a default constructor in addition to the constructor you defined:

If you want a default constructor that simply calls the default constructor of the base class, you can use the method to create one (and optionally restrict access to it). Do not provide an implementation for this default constructor. If you do, an exception is thrown when you try to use the constructor. No exception is thrown when the method is called.

If you want a default constructor that does something more than simply calling the default constructor of the base class, or that calls another constructor of the base class, or that does something else entirely, you must use the method to create a , and provide your own implementation.

Defines and represents a constructor of a dynamic class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  can be called several times, with each call specifying a security action (such as Demand, Assert, and Deny) and a set of permissions that the action applies to.

  In the .NET Framework versions 1.0, 1.1, and 2.0, the declarative security attributes applied to a constructor by using this method are stored in the old XML metadata format. See Emitting Declarative Security Attributes.

  Adds declarative security to this constructor.

  The security action to be taken, such as Demand, Assert, and so on. The set of permissions the action applies to.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes To be added.

  The following code sample illustrates the use of Attributes.

  code reference: ConstructorBuilder_Attributes_4#2

  Retrieves the attributes for this constructor.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.CallingConventions To be added. To be added.

  Gets a value that depends on whether the declaring type is generic.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  A member of a class (or interface) is either declared or inherited from a base class (or interface).

  The following code sample illustrates the use of DeclaringType.

  code reference: ConstructorBuilder_Attributes_4#2

  Retrieves a reference to the object for the type that declares this member.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ParameterBuilder `` `` ``

  If you specify 0 (zero) for , this method returns a instead of throwing an exception. There is nothing useful that you can do with this .

  Defines a parameter of this constructor.

  Returns a ParameterBuilder object that represents the new parameter of this constructor.

  The position of the parameter in the parameter list. Parameters are indexed beginning with the number 1 for the first parameter. The attributes of the parameter. The name of the parameter. The name can be the null string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  The parameter is ignored because a class never inherits constructors from base classes.

  To get the custom attributes, finish building the type by calling , retrieve the constructor by calling the method on the returned type, and then call the method on the returned .

  Returns all the custom attributes defined for this constructor.

  Returns an array of objects representing all the custom attributes of the constructor represented by this instance.

  Controls inheritance of custom attributes from base classes. This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  The parameter is ignored because a class never inherits constructors from base classes.

  To get the custom attributes, finish building the type by calling , retrieve the constructor by calling the method on the returned type, and then call the method on the returned .

  Returns the custom attributes identified by the given type.

  Returns an array of type representing the attributes of this constructor.

  The custom attribute type. Controls inheritance of custom attributes from base classes. This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ILGenerator

  The runtime generates the code for default constructors. Therefore, if an attempt is made to obtain an ILGenerator, an exception will be thrown.

  Gets an for this constructor.

  Returns an object for this constructor.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ILGenerator ``

  The runtime generates the code for default constructors. Therefore, if an attempt is made to obtain an ILGenerator for a default constructor, an exception is thrown.

  Gets an object, with the specified MSIL stream size, that can be used to build a method body for this constructor.

  An for this constructor.

  The size of the MSIL stream, in bytes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodImplAttributes

  The following code sample illustrates the use of GetMethodImplementationFlags.

  code reference: ConstructorBuilder_GetModule_4#3

  Returns the method implementation flags for this constructor.

  The method implementation flags for this constructor.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module

  The following code sample illustrates the usage of GetModule.

  code reference: System.Reflection.Emit.MethodBuilder.GetModule#1

  Returns a reference to the module that contains this constructor.

  The module that contains this constructor.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ParameterInfo[]

  This property is not supported until after the method has been called. In the .NET Framework versions 1.0 and 1.1, is thrown. In the .NET Framework version 2.0, is thrown.

  Returns the parameters of this constructor.

  Returns an array of objects that represent the parameters of this constructor.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodToken

  This code sample illustrates the use of GetToken.

  code reference: ConstructorBuilder_GetModule_4#2

  Returns the that represents the token for this constructor.

  Returns the of this constructor.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets whether the local variables in this constructor should be zero-initialized.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  If the constructor has no parameters, the value of the parameter should be null. Otherwise, the number, type, and order of elements in the array should be identical to the number, type, and order of parameters for the constructor reflected by this instance.

  For example, if the constructor reflected by this instance is declared as public class taking two strings, then the parameter should be an array of with length 2.

  Access restrictions are ignored for fully-trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked using Reflection whenever the code is fully trusted.

  Invokes the constructor dynamically reflected by this instance on the given object, passing along the specified parameters, and under the constraints of the given binder.

  Returns an that is the return value of the invoked constructor.

  This must be a bit flag from , such as InvokeMethod, NonPublic, and so on. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects using reflection. If binder is null, the default binder is used. See . An argument list. This is an array of arguments with the same number, order, and type as the parameters of the constructor to be invoked. If there are no parameters this should be null. An instance of used to govern the coercion of types. If this is null, the for the current thread is used. (For example, this is necessary to convert a that represents 1000 to a value, since 1000 is represented differently by different cultures.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` ``

  The number, type, and order of elements in the parameters array should be identical to the number, type, and order of parameters for the constructor reflected by this instance.

  Before calling the constructor, Invoke ensures that the caller has access permission, and that the parameters are of the correct number, order and type.

  Access restrictions are ignored for fully-trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked using Reflection whenever the code is fully trusted.

  Dynamically invokes the constructor reflected by this instance with the specified arguments, under the constraints of the specified Binder.

  An instance of the class associated with the constructor.

  The object that needs to be reinitialized. One of the BindingFlags values that specifies the type of binding that is desired. A Binder that defines a set of properties and enables the binding, coercion of argument types, and invocation of members using reflection. If is null, then Binder.DefaultBinding is used. An argument list. This is an array of arguments with the same number, order, and type as the parameters of the constructor to be invoked. If there are no parameters, this should be a null reference (Nothing in Visual Basic). A used to govern the coercion of types. If this is null, the for the current thread is used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  See the metadata specification for details on how to format .

  Checks if the specified custom attribute type is defined.

  true if the specified custom attribute type is defined; otherwise, false.

  A custom attribute type. Controls inheritance of custom attributes from base classes. This parameter is ignored.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeMethodHandle To be added. To be added.

  Retrieves the internal handle for the method. Use this handle to access the underlying metadata handle.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added.

  This property returns the same value as the method.

  Gets the dynamic module in which this constructor is defined.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The following code sample illustrates the use of Name.

  code reference: ConstructorBuilder_Name_5#2

  Retrieves the name of this constructor.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  A object represents a constructor on a particular class. In order to obtain a object, the object that represents the class that supports the constructor is queried. This property holds a reference to that object.

  Holds a reference to the object from which this object was obtained.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Type To be added: an object of type 'Type'

  This property might be removed in a future version.

  Gets null.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Set a custom attribute using a custom attribute builder.

  An instance of a helper class to define the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  See the metadata specification in the ECMA Partition II documentation for details on how to format . The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Set a custom attribute using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The following code sample illustrates the use of SetImplementationFlags.

  code reference: ConstructorBuilder_SetImplementationFlags#1

  Sets the method implementation flags for this constructor.

  The method implementation flags.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The following code sample illustrates the use of SetSymCustomAttributes.

  code reference: ConstructorBuilder_SetSymCustomAttribute#1

  Sets this constructor's custom attribute associated with symbolic information.

  The name of the custom attribute. The value of the custom attribute.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Retrieves the signature of the field in the form of a string.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns this instance as a .

  Returns a containing the name, attributes, and exceptions of this constructor, followed by the current Microsoft intermediate language (MSIL) stream.